<?php
namespace Avalon\Costompaymentgr\Setup;

use Magento\Framework\Setup\InstallSchemaInterface;
use Magento\Framework\Setup\ModuleContextInterface;
use Magento\Framework\Setup\SchemaSetupInterface;
class InstallSchema implements InstallSchemaInterface
{

	public function install(SchemaSetupInterface $setup, ModuleContextInterface $context)
	{
		$installer = $setup;
		$installer->startSetup();
		$mainTable = $installer->getTable('sales_order_grid');
		$columns = [
			'tbigr_status' => [
				'type' => \Magento\Framework\DB\Ddl\Table::TYPE_TEXT,
				'nullable' => false,
				'default' => '',
				'length' => '40',
				'after' => 'status',
				'comment' => 'tbi bank status',
			],
		];
		$connection = $installer->getConnection();
		foreach ($columns as $name => $definition) {
			$connection->addColumn($mainTable, $name, $definition);
		}
		$installer->endSetup();
	}
}