<?php
namespace Avalon\Costompaymentgr\Controller\Index;
class Tbiorderupdate extends \Magento\Framework\App\Action\Action
{
	protected $_pageFactory;
	protected $_resultJsonFactory;
	protected $_resource;
	protected $_connection;
	public function __construct(
		\Magento\Framework\App\Action\Context $context,
		\Magento\Framework\View\Result\PageFactory $pageFactory,
		\Magento\Framework\Controller\Result\JsonFactory $resultJsonFactory,
		\Magento\Framework\App\ResourceConnection $resource
	)
	{
		$this->_pageFactory = $pageFactory;
		$this->_resultJsonFactory = $resultJsonFactory;
		$this->_resource = $resource;
		$this->_connection = $resource->getConnection();
		return parent::__construct($context);
	}
	public function execute()
	{
		$json = array();
		$json['success'] = 'unsuccess';
		
		if ($this->_objectManager->create('Avalon\Costompaymentgr\Helper\Data')->getConfig('avalon_custompaymentmethodgr_tab_options/properties_tbigr/grtbi_unicid')){
			$tbigr_unicid = $this->_objectManager->create('Avalon\Costompaymentgr\Helper\Data')->getConfig('avalon_custompaymentmethodgr_tab_options/properties_tbigr/grtbi_unicid');
		}else{
			$tbigr_unicid = "";
		}	
		
		if (NULL != $this->getRequest()->getPost('order_id')) {
			$tbigr_order_id = $this->getRequest()->getPost('order_id');
		} else {
			$tbigr_order_id = '0';
		}
		if (NULL != $this->getRequest()->getPost('status')) {
			$tbigr_status = $this->getRequest()->getPost('status');
		} else {
			$tbigr_status = '';
		}
		if (NULL != $this->getRequest()->getPost('calculator_id')) {
			$tbigr_calculator_id = $this->getRequest()->getPost('calculator_id');
		} else {
			$tbigr_calculator_id = '';
		}
		
		if (($tbigr_calculator_id != '') && ($tbigr_unicid == $tbigr_calculator_id)){
			$dataUpdate = ["tbigr_status" => $tbigr_status];
			$whereUpdate = ['increment_id = ?' => (int)$tbigr_order_id];
			$tableSalesOrderGrid = $this->_resource->getTableName("sales_order_grid");
			$this->_connection->update($tableSalesOrderGrid, $dataUpdate, $whereUpdate);
			
			$json['success'] = 'success';
		}
		
		$result = $this->_resultJsonFactory->create();
		$result->setData(['success' => $json['success'], 'tbigr_order_id' => $tbigr_order_id, 'tbigr_status' => $tbigr_status, 'tbigr_calculator_id' => $tbigr_calculator_id]);
		return $result;
	}
}